aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/python.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:55:14 -0600
committerWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:55:14 -0600
commit1a95ae591bbbaa1071c4eb16991d5064f3be696c (patch)
tree4c3dc660f8411c8b64ab0418329f60f7c41fdf6a /chapter8/python.sh
parent2c8204d6325a1a6607392d5905227b9043da17cc (diff)
parent6132c19762b7d74ba7ad06e291b6401c632bbc28 (diff)
Major changes
Diffstat (limited to 'chapter8/python.sh')
-rw-r--r--chapter8/python.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/chapter8/python.sh b/chapter8/python.sh
index 230d4f6..fd7b1a6 100644
--- a/chapter8/python.sh
+++ b/chapter8/python.sh
@@ -1,3 +1,4 @@
+<<<<<<< HEAD
#!/bin/bash
set -e
@@ -20,3 +21,26 @@ tar --strip-components=1 \
--no-same-permissions \
-C /usr/share/doc/python-"${VERSION}"/html \
-xvf ../python-"${VERSION}"-docs-html.tar.bz2
+=======
+#!/bin/bash
+set -e
+
+./configure --prefix=/usr \
+ --enable-shared \
+ --with-system-expat \
+ --with-system-ffi \
+ --with-ensurepip=yes \
+ --enable-optimizations &&
+
+make &&
+
+make -j1 install &&
+
+install -v -dm755 /usr/share/doc/python-"${VERSION}"/html &&
+
+tar --strip-components=1 \
+ --no-same-owner \
+ --no-same-permissions \
+ -C /usr/share/doc/python-"${VERSION}"/html \
+ -xvf ../python-"${VERSION}"-docs-html.tar.bz2
+>>>>>>> 6132c19762b7d74ba7ad06e291b6401c632bbc28